<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="31d7fc44-28b3-4268-9e6b-29c9621e1398" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/.gitignore" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/$PRODUCT_WORKSPACE_FILE$" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/codeStyles/codeStyleConfig.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__co_fs2_fs2_core_2_13_1_1_0_M1_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__co_fs2_fs2_io_2_13_1_1_0_M1_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__com_chuusai_shapeless_2_13_2_3_3_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__com_github_pathikrit_better_files_2_13_3_8_0_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__com_twitter_hpack_1_0_2_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__io_chrisdavenport_unique_2_13_2_0_0_RC1_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__io_chrisdavenport_vault_2_13_2_0_0_RC1_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__io_circe_circe_core_2_13_0_12_0_RC4_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__io_circe_circe_generic_2_13_0_12_0_RC4_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__io_circe_circe_jawn_2_13_0_12_0_RC2_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__io_circe_circe_literal_2_13_0_12_0_RC4_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__io_circe_circe_numbers_2_13_0_12_0_RC4_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_eclipse_jetty_alpn_alpn_api_1_1_3_v20160715_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_http4s_blaze_core_2_13_0_14_8_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_http4s_blaze_http_2_13_0_14_8_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_http4s_http4s_blaze_client_2_13_0_21_0_M4_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_http4s_http4s_blaze_core_2_13_0_21_0_M4_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_http4s_http4s_blaze_server_2_13_0_21_0_M4_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_http4s_http4s_circe_2_13_0_21_0_M4_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_http4s_http4s_client_2_13_0_21_0_M4_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_http4s_http4s_core_2_13_0_21_0_M4_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_http4s_http4s_dsl_2_13_0_21_0_M4_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_http4s_http4s_jawn_2_13_0_21_0_M4_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_http4s_http4s_server_2_13_0_21_0_M4_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_http4s_jawn_fs2_2_13_0_15_0_M1_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_http4s_parboiled_2_13_2_0_1_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_log4s_log4s_2_13_1_8_2_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_scala_lang_scala_library_2_13_0_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_scala_lang_scala_reflect_2_13_0_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_scodec_scodec_bits_2_13_1_1_12_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_slf4j_slf4j_api_1_7_25_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_typelevel_cats_core_2_13_2_0_0_RC2_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_typelevel_cats_effect_2_13_2_0_0_RC2_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_typelevel_cats_kernel_2_13_2_0_0_RC2_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_typelevel_cats_macros_2_13_2_0_0_RC2_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/sbt__org_typelevel_jawn_parser_2_13_0_14_2_jar.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/misc.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/modules.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/modules/LearningScala-build.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/modules/LearningScala.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/sbt.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/scala_compiler.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/uiDesigner.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/vcs.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/build.sbt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/build.properties" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/.sbt-compilation-infos/learningscala-compile/.sbt-idea-lock" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$0aa0fa65ccaba673143f$.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$0aa0fa65ccaba673143f.cache" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$0aa0fa65ccaba673143f.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$0d22d3128095a53e8132$.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$0d22d3128095a53e8132.cache" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$0d22d3128095a53e8132.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$21343827e5701985762b$.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$21343827e5701985762b.cache" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$21343827e5701985762b.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$300ea17d8b9e010795d9$.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$300ea17d8b9e010795d9.cache" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$300ea17d8b9e010795d9.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$3d3f08fe9ecdced7f398$.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$3d3f08fe9ecdced7f398.cache" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$3d3f08fe9ecdced7f398.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$4d19b1bee4926e95fbd3$.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$4d19b1bee4926e95fbd3.cache" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$4d19b1bee4926e95fbd3.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$7b0ed5e1b157408c12d6$.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$7b0ed5e1b157408c12d6.cache" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$7b0ed5e1b157408c12d6.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$9827f6a03d2cd465b42f$.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$9827f6a03d2cd465b42f.cache" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$9827f6a03d2cd465b42f.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$f7be0e3994581b050c88$.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$f7be0e3994581b050c88.cache" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/config-classes/$f7be0e3994581b050c88.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/scala-2.12/sbt-1.0/resolution-cache/default/learningscala-build/scala_2.12/sbt_1.0/0.1.0-SNAPSHOT/resolved.xml.properties" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/scala-2.12/sbt-1.0/resolution-cache/default/learningscala-build/scala_2.12/sbt_1.0/0.1.0-SNAPSHOT/resolved.xml.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/scala-2.12/sbt-1.0/resolution-cache/reports/default-learningscala-build-compile-internal.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/scala-2.12/sbt-1.0/resolution-cache/reports/default-learningscala-build-compile.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/scala-2.12/sbt-1.0/resolution-cache/reports/default-learningscala-build-optional.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/scala-2.12/sbt-1.0/resolution-cache/reports/default-learningscala-build-plugin.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/scala-2.12/sbt-1.0/resolution-cache/reports/default-learningscala-build-pom.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/scala-2.12/sbt-1.0/resolution-cache/reports/default-learningscala-build-provided.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/scala-2.12/sbt-1.0/resolution-cache/reports/default-learningscala-build-runtime-internal.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/scala-2.12/sbt-1.0/resolution-cache/reports/default-learningscala-build-runtime.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/scala-2.12/sbt-1.0/resolution-cache/reports/default-learningscala-build-scala-tool.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/scala-2.12/sbt-1.0/resolution-cache/reports/default-learningscala-build-test-internal.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/scala-2.12/sbt-1.0/resolution-cache/reports/default-learningscala-build-test.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/scala-2.12/sbt-1.0/resolution-cache/reports/ivy-report.css" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/scala-2.12/sbt-1.0/resolution-cache/reports/ivy-report.xsl" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/$global/$global/$global/streams/out" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/$global/dependencyPositions/$global/streams/update_cache_2.12/input_dsp" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/$global/dependencyPositions/$global/streams/update_cache_2.12/output_dsp" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/$global/ivyConfiguration/$global/streams/out" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/$global/ivySbt/$global/streams/out" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/$global/projectDescriptors/$global/streams/out" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/$global/update/$global/streams/out" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/$global/update/$global/streams/update_cache_2.12/inputs" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/$global/update/$global/streams/update_cache_2.12/output" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/compile/$global/$global/discoveredMainClasses/data" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/compile/compile/$global/streams/out" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/compile/compileIncremental/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/compile/compileIncremental/$global/streams/out" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/compile/copyResources/$global/streams/copy-resources" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/compile/copyResources/$global/streams/out" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/compile/dependencyClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/compile/exportedProducts/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/compile/externalDependencyClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/compile/internalDependencyClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/compile/managedClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/compile/unmanagedClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/compile/unmanagedJars/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/runtime/dependencyClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/runtime/exportedProducts/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/runtime/externalDependencyClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/runtime/fullClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/runtime/internalDependencyClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/runtime/managedClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/runtime/unmanagedClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/project/target/streams/runtime/unmanagedJars/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/scala/CalculatorApp.scala" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/scala/HigherLvlOfAbstraction.scala" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/scala/JsonReaderApp.scala" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/.history" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/CalculatorApp$.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/CalculatorApp$delayedInit$body.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/CalculatorApp.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/Comment$.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/Comment.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/JsonReaderApp$.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/JsonReaderApp$anon$importedDecoder$macro$13$1$$anon$1.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/JsonReaderApp$anon$importedDecoder$macro$13$1$$anon$2.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/JsonReaderApp$anon$importedDecoder$macro$13$1$anon$macro$11$1.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/JsonReaderApp$anon$importedDecoder$macro$13$1.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/JsonReaderApp$anon$importedDecoder$macro$13$2$$anon$3.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/JsonReaderApp$anon$importedDecoder$macro$13$2$$anon$4.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/JsonReaderApp$anon$importedDecoder$macro$13$2$anon$macro$11$2.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/JsonReaderApp$anon$importedDecoder$macro$13$2.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/JsonReaderApp$anon$importedDecoder$macro$15$1$$anon$5.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/JsonReaderApp$anon$importedDecoder$macro$15$1$$anon$6.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/JsonReaderApp$anon$importedDecoder$macro$15$1$anon$macro$13$1.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/JsonReaderApp$anon$importedDecoder$macro$15$1.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/JsonReaderApp.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/META-INF/LearningScala.kotlin_module" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/Operation$.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/Operation.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/Post$.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/classes/Post.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/default/learningscala$sources/0.1/resolved.xml.properties" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/default/learningscala$sources/0.1/resolved.xml.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/default/learningscala_2.13/0.1/resolved.xml.properties" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/default/learningscala_2.13/0.1/resolved.xml.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/org.scala-sbt.temp/temp-module-52f238aede5a1d8d7a484c2bec27a144810e2ac0/1.2.5/resolved.xml.properties" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/org.scala-sbt.temp/temp-module-52f238aede5a1d8d7a484c2bec27a144810e2ac0/1.2.5/resolved.xml.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala$sources-compile-internal.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala$sources-compile.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala$sources-optional.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala$sources-plugin.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala$sources-pom.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala$sources-provided.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala$sources-runtime-internal.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala$sources-runtime.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala$sources-scala-tool.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala$sources-test-internal.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala$sources-test.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala_2.13-compile-internal.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala_2.13-compile.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala_2.13-optional.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala_2.13-plugin.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala_2.13-pom.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala_2.13-provided.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala_2.13-runtime-internal.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala_2.13-runtime.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala_2.13-scala-tool.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala_2.13-test-internal.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/default-learningscala_2.13-test.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/ivy-report.css" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/ivy-report.xsl" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/org.scala-sbt.temp-temp-module-52f238aede5a1d8d7a484c2bec27a144810e2ac0-compile.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/org.scala-sbt.temp-temp-module-52f238aede5a1d8d7a484c2bec27a144810e2ac0-optional.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/org.scala-sbt.temp-temp-module-52f238aede5a1d8d7a484c2bec27a144810e2ac0-provided.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/org.scala-sbt.temp-temp-module-52f238aede5a1d8d7a484c2bec27a144810e2ac0-runtime.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/scala-2.13/resolution-cache/reports/org.scala-sbt.temp-temp-module-52f238aede5a1d8d7a484c2bec27a144810e2ac0-test.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/$global/$global/$global/streams/out" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/$global/$global/dumpStructure/$global/streams/out" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/$global/dependencyPositions/$global/streams/update_cache_2.13/input_dsp" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/$global/dependencyPositions/$global/streams/update_cache_2.13/output_dsp" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/$global/ivyConfiguration/$global/streams/out" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/$global/ivySbt/$global/streams/out" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/$global/projectDescriptors/$global/streams/out" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/$global/ssExtractDependencies/$global/streams/out" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/$global/update/$global/streams/out" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/$global/update/$global/streams/update_cache_2.13/inputs" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/$global/update/$global/streams/update_cache_2.13/output" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/$global/updateClassifiers/$global/streams/out" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/compile/$global/$global/discoveredMainClasses/data" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/compile/compile/$global/streams/out" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/compile/compileIncSetup/$global/streams/inc_compile_2.13.zip" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/compile/compileIncremental/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/compile/compileIncremental/$global/streams/out" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/compile/dependencyClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/compile/externalDependencyClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/compile/internalDependencyClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/compile/managedClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/compile/unmanagedClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/compile/unmanagedJars/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/runtime/externalDependencyClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/runtime/managedClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/runtime/unmanagedClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/runtime/unmanagedJars/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/test/externalDependencyClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/test/managedClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/test/unmanagedClasspath/$global/streams/export" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/streams/test/unmanagedJars/$global/streams/export" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CodeStyleSettingsInfer">
    <option name="done" value="true" />
  </component>
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ProjectCodeStyleSettingsMigration">
    <option name="version" value="1" />
  </component>
  <component name="ProjectId" id="1QJpbSRin2aX1hTzeSWvvSlQPvd" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="PropertiesComponent">
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.0" />
    <property name="settings.editor.selected.configurable" value="preferences.pluginManager" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Application.JsonReaderApp">
    <configuration name="CalculatorApp" type="Application" factoryName="Application" temporary="true">
      <option name="MAIN_CLASS_NAME" value="CalculatorApp" />
      <module name="LearningScala" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="JsonReaderApp" type="Application" factoryName="Application" temporary="true">
      <option name="MAIN_CLASS_NAME" value="JsonReaderApp" />
      <module name="LearningScala" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Scala Console" type="ScalaScriptConsoleRunConfiguration" factoryName="Scala Console" temporary="true" show_console_on_std_err="false" show_console_on_std_out="false">
      <module name="LearningScala" />
      <option name="allowRunningInParallel" value="false" />
      <option name="javaOptions" value="-Djline.terminal=NONE" />
      <option name="myConsoleArgs" value="" />
      <option name="workingDirectory" value="$PROJECT_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.JsonReaderApp" />
        <item itemvalue="Application.CalculatorApp" />
        <item itemvalue="Scala Console.Scala Console" />
      </list>
    </recent_temporary>
  </component>
  <component name="SbtLocalSettings">
    <option name="availableProjects">
      <map>
        <entry>
          <key>
            <ExternalProjectPojo>
              <option name="name" value="LearningScala" />
              <option name="path" value="$PROJECT_DIR$" />
            </ExternalProjectPojo>
          </key>
          <value>
            <list>
              <ExternalProjectPojo>
                <option name="name" value="learningscala [file:/C:/Users/drakoczy/dev/LearningScala/]" />
                <option name="path" value="$PROJECT_DIR$" />
              </ExternalProjectPojo>
              <ExternalProjectPojo>
                <option name="name" value="LearningScala-build" />
                <option name="path" value="$PROJECT_DIR$/project" />
              </ExternalProjectPojo>
            </list>
          </value>
        </entry>
      </map>
    </option>
    <option name="modificationStamps">
      <map>
        <entry key="$PROJECT_DIR$" value="3135115010566" />
        <entry key="$PROJECT_DIR$/build.sbt" value="1870169959" />
        <entry key="$PROJECT_DIR$/project/build.properties" value="1396028727" />
      </map>
    </option>
    <option name="projectSyncType">
      <map>
        <entry key="$PROJECT_DIR$/../intro-to-scala" value="PREVIEW" />
      </map>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="31d7fc44-28b3-4268-9e6b-29c9621e1398" name="Default Changelist" comment="" />
      <created>1567498624357</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1567498624357</updated>
    </task>
    <servers />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="COLUMN_ORDER" />
            </State>
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="scala-line">
          <url>file://$PROJECT_DIR$/src/main/scala/JsonReaderApp.scala</url>
          <line>71</line>
          <option name="timeStamp" value="3" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="scala-line">
          <url>file://$PROJECT_DIR$/src/main/scala/JsonReaderApp.scala</url>
          <line>67</line>
          <properties>
            <option name="lambda-ordinal" value="-1" />
          </properties>
          <option name="timeStamp" value="5" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
    <watches-manager>
      <configuration name="Application">
        <watch expression="this.cs$2" custom="cats.effect.IO.Delay,cats.effect.IO.Map,cats.effect.IOLowPriorityInstances.IOEffect,scala.Function2,scala.Function0,cats.effect.IO.Async" />
        <watch expression="this.cs$2" custom="cats.effect.IO.Delay,cats.effect.IO.Map,cats.effect.IOLowPriorityInstances.IOEffect,scala.Function2,scala.Function0,cats.effect.IO.Async" />
        <watch expression="this.cs$2" custom="cats.effect.IO.Delay,cats.effect.IO.Map,cats.effect.IOLowPriorityInstances.IOEffect,scala.Function2,scala.Function0,cats.effect.IO.Async" />
        <watch expression="this.cs$2" custom="cats.effect.IO.Delay,cats.effect.IO.Map,cats.effect.IOLowPriorityInstances.IOEffect,scala.Function2,scala.Function0,cats.effect.IO.Async" />
        <watch expression="folderName" language="JAVA" />
      </configuration>
    </watches-manager>
  </component>
</project>